Bug 11121 - Add manual or autosave feature
: Add manual or autosave feature
Status: RESOLVED FIXED
Product: seriesfinale
General
: unspecified
: N900 Maemo
: Unspecified enhancement with 3 votes (vote)
: ---
Assigned To: Juan A. Suarez Romero
: general
:
:
:
:
  Show dependency tree
 
Reported: 2010-08-12 01:15 UTC by John Veness
Modified: 2011-07-22 08:49 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description John Veness (reporter) 2010-08-12 01:15:20 UTC
SOFTWARE VERSION:
0.61

ENHANCEMENT REQUEST:
At the moment, as far as I can tell, the SeriesFinale database is only saved
when the user exits SeriesFinale. If the user leaves SeriesFinale running for
many hours or days and makes lots of changes to the in-memory database, these
changes could get lost if the app hangs/crashes, or if the device loses power,
for example.

It would be good if there was a way for the data to be saved to persistent
storage more frequently. Ideally this would be automatic so the user doesn't
have to think about it, but failing that, a manual method of saving (other than
quitting and restarting) would be good.
Comment 1 les_garten 2010-10-28 19:04:12 UTC
This is indeed frustrating behavior.
Comment 2 Mladen Milankovic 2010-10-29 11:27:57 UTC
*** This bug has been confirmed by popular vote. ***
Comment 3 Joaquim Rocha 2011-01-01 01:29:18 UTC
Good point, I'll try to include that in the next version.

Thanks and happy new year!
Comment 4 Juan A. Suarez Romero 2011-07-22 08:49:42 UTC
This bug has been fixed in 0.6.7: DB is saved every 5 minutes.